package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type WxUserLog struct {
	Id         int `orm:"column(id);pk"`
	UserId     int
	OpenId     string
	UnionId    string
	Mobile     string
	Email      string
	Handle     string
	Remark     string
	CreateTime time.Time
}

// 添加联系人日志信息
func AddWxUserLog(item *WxUserLog) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("weekly_report")
	lastId, err = o.Insert(item)
	return
}
